{-# OPTIONS -fglasgow-exts -fallow-overlapping-instances -fallow-undecidable-instances #-}
-----------------------------------------------------------------------------
-- |
-- Maintainer  :  Alexandra Silva and Joost Visser
-- Stability   :  experimental
-- Portability :  portable
--
--
-----------------------------------------------------------------------------

module Data.HDB.AdvancedHUnit where

import Data.HDB.CoddFish
import Data.HDB.Example
import Data.HListExtras
import Data.HDB.Write
import Text.XML.HaXml.Xml2Haskell
import System
import Test.HUnit

-----------------------------------------------------------------------------

main
  = runTestTT . TestList $ testList
  
labeledTest l t
  = TestLabel l (TestCase t)

testList
  = [labeledTest "Check empty set of FDs" (
         assertEqual "Result should be True" True (checkFDs HNil peopleT))] 

test1= do writeFile "teste.gnumeric" (showXml $ writeRDB myrdb)
          let systemCmd = "gzip teste.gnumeric; mv teste.gnumeric.gz teste.gnumeric"
          system systemCmd


